#include <bits/stdc++.h>
using namespace std;
int n, m, k, i, j, a[1000010], t, d[200010];
bool b, c;
vector<int> v;
std::vector<int> solve(std::vector<int> A)
{
	int N=0;
	vector<int> V;
	N=A.size();
	if(N%2==1)
	{
		for(i=1; i<=n; i+=2) V.push_back(i);
		for(i=2; i<=n; i+=2) V.push_back(i);
	}
	else
	{
		for(i=2; i<=n; i+=2) V.push_back(i);
		for(i=1; i<=n; i+=2) V.push_back(i);
	}
	return V;
}